Subject: Re: bug#40703: [PATCH] Make autoarg.el obsolete

From: Stefan Kangas <[email-masked]>
Date: Mon, 20 Apr 2020 02:57:16 +0200

Michael Heerdegen <[email-masked]> writes:

> > Well, as it stands 'autoarg-kp-mode' is broken.  It enables
> > 'autoarg-mode', which kind of defeats the point of having a separate
> > mode to only enable this behaviour for the keypad.
>
> Not for me.  Works here.  Are you sure?

In "emacs -Q" using 26.1:

M-x autoarg-kp-mode
    Message: Autoarg-Kp mode enabled
[regular 2] a
   Buffer contents: 2a
[keypad 2] a
    Buffer contents: 2aaa
[regular 2] b
    Buffer contents: 2aaabb
M-x autoarg-kp-mode
    Message: Autoarg-Kp mode disabled
[keypad 2] c
    Buffer contents: 2aaabbcc
[regular 2] d
    Buffer contents: 2aaabbccdd
M-x autoarg-mode
   Message: Autoarg mode enabled
... same behaviour as above
M-x autoarg-mode
   Message: Autoarg mode disabled
... it's still not disabled

So actually the breakage here is worse than what I initially
described, since autoarg-kp-mode also can't be disabled.

autoarg-mode seems to toggle correctly though.

> mhmm, I wanted to write an
> example including integers but I can't enter them anymore, I can't turn
> off autoarg mode.  It's just broken.  Will restart Emacs.

It sounds like you see the same thing as me.

Best regards,
Stefan Kangas